View Issue Details

IDProjectCategoryView StatusLast Update
0000569Ham Radio DeluxeBugpublic2017-08-05 19:00
ReporterW4PC 
Assigned ToK7ZCZ 
PrioritynormalSeverityminorReproducibilityalways
Status closedResolutionfixed 
PlatformMicrosoftOSWindowsOS Version8.1
Product Version 
Target VersionFixed in Version6.4.0.659 
Summary0000569: Unable to sort on custom columns
DescriptionA short while ago, you fixed the problems of setting the custom names in ALE
Custom fields. This is still working fine but I find that I am not able to sort the field contents into numerical or alpha-numerical order by clicking on the field name. All of the other fields sort ok by clicking on the name, but none of the custom fields will sort.
I should have spotted this sooner but I didn't need to sort the fields until now.
Steps To ReproduceSetup custom fields in ALE, see snapshot in attached document.
Enter the data into these fields when using ALE. Results shown in snapshot in attached document.
When you want to sort the data, you would normally click the column heading and the data would then be sorted numerically. This is not happening on the custom columns.
An example is shown in the attached document.
Additional InformationIt did work ok in V5 versions.
TagsNo tags attached.
ModuleLogbook
Sub-ModuleAppearance/UI
Testing Beta Successful

Relationships

related to 0001391 closedK7ZCZ Sorting Log book via Columns 
child of 0001561 closedK7ZCZ Turn some alpha fields into numeric 

Activities

WA9PIE

2014-01-31 15:05

administrator   ~0000251

This is a long-standing request.

Mike

K7ZCZ

2017-06-02 14:49

manager   ~0003187

Unfortunately, there are no attached documents here.

So far, it looks to me like sorting on a custom field works, as long as the user a hasn't changed the name of the custom field. In that case, the field will be sorted as a string.

If the name of the custom field has been changed, the field won't be sorted correctly.

I'll keep digging ...

K7ZCZ

2017-06-04 11:24

manager   ~0003191

I have a fix coded for this.

K7ZCZ

2017-06-04 14:44

manager   ~0003198

I have a fix coded.

WA9PIE

2017-06-21 20:59

administrator   ~0003246

Status changed to enable update to "Fixed in Version"

WA9PIE

2017-06-21 22:24

administrator   ~0003253

We'll need to leave issues "Assigned" until verified... then change to "Resolved"

I'll document this in process.

g3ucq

2017-06-24 04:14

viewer   ~0003282

Sorting on Custom column works but other Columns are also sorted.
My Custom column is labelled Clublog Sent. The data is either Yes or empty.

No sort.JPG (41,229 bytes)
No sort.JPG (41,229 bytes)
after sort.JPG (34,428 bytes)
after sort.JPG (34,428 bytes)

w4ase

2017-06-24 07:58

viewer   ~0003290

Yes I changed the name and added some custom columns, added data and the sorted. The sort does work on custom columns.

WA9PIE

2017-06-25 22:11

administrator   ~0003317

I tested this with letters and numbers. Letters sort before numbers... and it's case sensitive... in other words...

z... y... c... b... a... Z...Y... C... B... A... 5... 4... 3... 2... 1

I don't think that this should be case sensitive. I'm not moving this one forward.

K7ZCZ

2017-06-27 10:35

manager   ~0003338

I've made it case in-sensitive, should show up in 655.

The only remaining curve ball will be non-Roman letters; we're sorting in binary order, without concern to locale rules.

WA9PIE

2017-06-28 14:35

administrator   ~0003394

Tested... verified... fixed.

WA9PIE

2017-06-28 14:36

administrator   ~0003395

Reviewed changes and they're good.

WA9PIE

2017-07-04 23:30

administrator   ~0003487

Published in the 658 release.

WA9PIE

2017-07-05 00:00

administrator   ~0003522

Waiting to close them until a final item is tested.

g3ucq

2017-07-05 04:00

viewer   ~0003535

Fixed

WA9PIE

2017-07-05 19:39

administrator   ~0003559

These were all part of the 659 release.

Issue History

Date Modified Username Field Change
2013-12-21 18:56 W4PC New Issue
2013-12-21 18:57 W4PC Project 2 - Next Dev List (Holding Area) => @5@
2014-01-31 15:05 WA9PIE Release => 6.1
2014-01-31 15:05 WA9PIE Module => Logbook
2014-01-31 15:05 WA9PIE Sub-Module => Appearance/UI
2014-01-31 15:05 WA9PIE Report Build => 6.1.4.189
2014-01-31 15:05 WA9PIE Note Added: 0000251
2014-01-31 15:05 WA9PIE Status new => confirmed
2014-01-31 15:36 WA9PIE Relationship added child of 0001561
2014-02-02 14:54 WA9PIE Summary Unable to sort on custom columns => Bug: Unable to sort on custom columns
2014-02-02 22:10 WA9PIE Relationship added related to 0001391
2015-09-17 13:17 WA9PIE Category Logbook => Bug
2015-09-17 13:19 WA9PIE Project @5@ => 1 - Backlog
2015-09-29 14:49 WA9PIE Fix Build => (select)
2015-09-29 14:49 WA9PIE Summary Bug: Unable to sort on custom columns => Unable to sort on custom columns
2017-06-02 09:51 K7ZCZ Assigned To => K7ZCZ
2017-06-02 09:51 K7ZCZ Status confirmed => assigned
2017-06-02 14:49 K7ZCZ Note Added: 0003187
2017-06-04 11:24 K7ZCZ Note Added: 0003191
2017-06-04 14:40 K7ZCZ Project 1 - Backlog => 3 - Current Dev List
2017-06-04 14:44 K7ZCZ Note Added: 0003198
2017-06-04 14:44 K7ZCZ Status assigned => resolved
2017-06-04 14:44 K7ZCZ Resolution open => fixed
2017-06-05 12:37 WA9PIE Target Version => 6.4.0.649
2017-06-21 20:59 WA9PIE Status resolved => assigned
2017-06-21 20:59 WA9PIE Note Added: 0003246
2017-06-21 21:13 K7ZCZ Fixed in Version => 6.4.0.650
2017-06-21 21:50 K7ZCZ Status assigned => resolved
2017-06-21 21:50 K7ZCZ Fixed in Version 6.4.0.650 =>
2017-06-21 22:03 K7ZCZ Fixed in Version => 6.4.0.650
2017-06-21 22:24 WA9PIE Status resolved => assigned
2017-06-21 22:24 WA9PIE Note Added: 0003253
2017-06-24 04:14 g3ucq File Added: No sort.JPG
2017-06-24 04:14 g3ucq File Added: after sort.JPG
2017-06-24 04:14 g3ucq Note Added: 0003282
2017-06-24 07:58 w4ase Note Added: 0003290
2017-06-25 22:11 WA9PIE Note Added: 0003317
2017-06-25 22:12 WA9PIE Resolution fixed => open
2017-06-25 22:51 WA9PIE Testing => Beta Failed
2017-06-27 10:35 K7ZCZ Note Added: 0003338
2017-06-28 14:35 WA9PIE Note Added: 0003394
2017-06-28 14:36 WA9PIE Status assigned => resolved
2017-06-28 14:36 WA9PIE Resolution open => fixed
2017-06-28 14:36 WA9PIE Fixed in Version 6.4.0.650 => 6.4.0.654
2017-06-28 14:36 WA9PIE Testing Beta Failed => Beta Passed
2017-06-28 14:36 WA9PIE Note Added: 0003395
2017-07-01 08:20 WA9PIE Target Version 6.4.0.649 => 6.4.0.654
2017-07-01 08:20 WA9PIE Fixed in Version 6.4.0.654 => 6.4.0.657
2017-07-04 23:17 WA9PIE Fixed in Version 6.4.0.657 => 6.4.0.658
2017-07-04 23:30 WA9PIE Note Added: 0003487
2017-07-04 23:30 WA9PIE Status resolved => closed
2017-07-04 23:30 WA9PIE Project 3 - Current Dev List => Ham Radio Deluxe
2017-07-04 23:58 WA9PIE Project Ham Radio Deluxe => 3 - Current Dev List
2017-07-05 00:00 WA9PIE Status closed => resolved
2017-07-05 00:00 WA9PIE Note Added: 0003522
2017-07-05 04:00 g3ucq Note Added: 0003535
2017-07-05 19:37 WA9PIE Fixed in Version 6.4.0.658 => 6.4.0.659
2017-07-05 19:39 WA9PIE Project 3 - Current Dev List => Ham Radio Deluxe
2017-07-05 19:39 WA9PIE Note Added: 0003559
2017-07-05 19:39 WA9PIE Status resolved => closed
2017-07-09 18:59 WA9PIE Testing => Beta Successful
2017-08-05 19:00 WA9PIE Target Version 6.4.0.654 =>